unit Ws.ServiceImpl;

interface

uses
  XData.Service.Common,
  XData.Server.Module,
  System.JSON,
  Ws.Service;

type
  [ServiceImplementation]
  TWebSocketService = class(TInterfacedObject, IWebSocketService)
  public
    function Ping: TJSONObject;
    function WebSockerConnectionHandler: TJSONObject;
  end;

implementation

function TWebSocketService.Ping: TJSONObject;
begin
  Result := nil;
end;

function TWebSocketService.WebSockerConnectionHandler: TJSONObject;
begin
  Result := nil;
end;


initialization
  RegisterServiceType(TWebSocketService);

end.
